=== debian/changelog ===
ros2-rcutils (5.2.0-7) unstable; urgency=medium

  * Source only upload
  * Remove old d/README.source
  * Fix date in d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Jun 2022 15:17:30 +0200

ros2-rcutils (5.2.0-6) unstable; urgency=medium

  * Extend d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Jun 2022 08:50:51 +0200

ros2-rcutils (5.2.0-5) unstable; urgency=medium

  * Add python3-rcutils package

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Jun 2022 22:14:45 +0200

ros2-rcutils (5.2.0-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jochen Sprickerhof ]
  * Add patch for ROS 1 compatibility
  * Bump policy version (no changes)
  * Drop versioned dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Jun 2022 21:48:06 +0200

ros2-rcutils (5.2.0-3) unstable; urgency=medium

  * Move libatomic test out of BUILD_TESTING conditional block

 -- Timo Röhling <roehling@debian.org>  Mon, 16 May 2022 11:41:08 +0200

ros2-rcutils (5.2.0-2) unstable; urgency=medium

  * Stop generating cruft files

 -- Timo Röhling <roehling@debian.org>  Sun, 15 May 2022 16:19:54 +0200

ros2-rcutils (5.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1010779)

 -- Timo Röhling <roehling@debian.org>  Tue, 10 May 2022 15:56:02 +0200
