=== debian/control ===
Source: ros2-rcutils
Section: libs
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ament-cmake-python,
 ament-cmake-ros,
 cmake,
 dh-ros,
 dh-sequence-python3,
 python3-empy,
Homepage: https://github.com/ros2/rcutils
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-rcutils.git
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-rcutils
Description: C Utilities and Data Structures for ROS 2
 This package is part of ROS 2, the Robot Operating System.
 It provides basic macros, functions, and data structures for the ROS 2
 codebase.

Package: librcutils0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the shared library.

Package: librcutils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librcutils0d (= ${binary:Version}),
Description: ${source:Synopsis} (development headers)
 ${source:Extended-Description}
 .
 This package installs the C headers and CMake config files.

Package: python3-rcutils
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis} (Python 3 library)
 ${source:Extended-Description}
 .
 This package installs the Python 3 library.
