=== debian/rules ===
#!/usr/bin/make -f

export ROS_CONFIGURE_ARGS = -DBUILD_TESTING=OFF -DRCUTILS_SOVERSION=0d

%:
	dh $@ --buildsystem=ros
