## ros2-rcutils 6.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -226,16 +226,8 @@
     set(SKIP_MEMORY_TOOLS_TEST "SKIP_TEST")
   endif()
 
-  macro(rcutils_custom_add_gtest target)
-    ament_add_gtest(${target} ${ARGN})
-  endmacro()
-
-  macro(rcutils_custom_add_gmock target)
-    ament_add_gmock(${target} ${ARGN})
-  endmacro()
-
   # Gtests
-  rcutils_custom_add_gtest(test_allocator test/test_allocator.cpp
+  ament_add_gtest(test_allocator test/test_allocator.cpp
     ENV ${memory_tools_test_env_vars}
     ${SKIP_MEMORY_TOOLS_TEST}
   )
@@ -243,7 +235,7 @@
     target_link_libraries(test_allocator ${PROJECT_NAME} osrf_testing_tools_cpp::memory_tools)
   endif()
 
-  rcutils_custom_add_gtest(test_char_array
+  ament_add_gtest(test_char_array
     test/test_char_array.cpp
   )
   if(TARGET test_char_array)
@@ -265,7 +257,7 @@
 
   add_test(NAME test_atomics COMMAND test_atomics_executable)
 
-  rcutils_custom_add_gmock(test_error_handling test/test_error_handling.cpp
+  ament_add_gmock(test_error_handling test/test_error_handling.cpp
     # Append the directory of librcutils so it is found at test time.
     APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
     ENV ${memory_tools_test_env_vars}
@@ -274,7 +266,7 @@
     target_link_libraries(test_error_handling ${PROJECT_NAME} osrf_testing_tools_cpp::memory_tools)
   endif()
 
-  rcutils_custom_add_gmock(test_error_handling_helpers test/test_error_handling_helpers.cpp
+  ament_add_gmock(test_error_handling_helpers test/test_error_handling_helpers.cpp
     # Append the directory of librcutils so it is found at test time.
     APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
     ENV ${memory_tools_test_env_vars}
@@ -284,35 +276,35 @@
     target_link_libraries(test_error_handling_helpers osrf_testing_tools_cpp::memory_tools)
   endif()
 
-  rcutils_custom_add_gtest(test_split
+  ament_add_gtest(test_split
     test/test_split.cpp
   )
   if(TARGET test_split)
     target_link_libraries(test_split ${PROJECT_NAME} mimick)
   endif()
 
-  rcutils_custom_add_gtest(test_find
+  ament_add_gtest(test_find
     test/test_find.cpp
   )
   if(TARGET test_find)
     target_link_libraries(test_find ${PROJECT_NAME})
   endif()
 
-  rcutils_custom_add_gtest(test_strerror
+  ament_add_gtest(test_strerror
     test/test_strerror.cpp
   )
   if(TARGET test_strerror)
     target_link_libraries(test_strerror ${PROJECT_NAME} mimick)
   endif()
 
-  rcutils_custom_add_gtest(test_string_array
+  ament_add_gtest(test_string_array
     test/test_string_array.cpp
   )
   if(TARGET test_string_array)
     target_link_libraries(test_string_array ${PROJECT_NAME})
   endif()
 
-  rcutils_custom_add_gtest(test_env test/test_env.cpp
+  ament_add_gtest(test_env test/test_env.cpp
     ENV
       EMPTY_TEST=
       NORMAL_TEST=foo
@@ -322,7 +314,7 @@
     target_link_libraries(test_env ${PROJECT_NAME})
   endif()
 
-  rcutils_custom_add_gtest(test_filesystem
+  ament_add_gtest(test_filesystem
     test/test_filesystem.cpp
     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
   )
@@ -332,21 +324,21 @@
     target_compile_definitions(test_filesystem PRIVATE BUILD_DIR="${CMAKE_CURRENT_BINARY_DIR}")
   endif()
 
-  rcutils_custom_add_gtest(test_strdup
+  ament_add_gtest(test_strdup
     test/test_strdup.cpp
   )
   if(TARGET test_strdup)
     target_link_libraries(test_strdup ${PROJECT_NAME})
   endif()
 
-  rcutils_custom_add_gtest(test_format_string
+  ament_add_gtest(test_format_string
     test/test_format_string.cpp
   )
   if(TARGET test_format_string)
     target_link_libraries(test_format_string ${PROJECT_NAME} mimick)
   endif()
 
-  rcutils_custom_add_gtest(test_string_map
+  ament_add_gtest(test_string_map
     test/test_string_map.cpp
   )
   if(TARGET test_string_map)
@@ -354,14 +346,14 @@
     target_link_libraries(test_string_map ${PROJECT_NAME})
   endif()
 
-  rcutils_custom_add_gtest(test_isalnum_no_locale
+  ament_add_gtest(test_isalnum_no_locale
     test/test_isalnum_no_locale.cpp
   )
   if(TARGET test_isalnum_no_locale)
     target_link_libraries(test_isalnum_no_locale ${PROJECT_NAME})
   endif()
 
-  rcutils_custom_add_gtest(test_repl_str
+  ament_add_gtest(test_repl_str
     test/test_repl_str.cpp
   )
   if(TARGET test_repl_str)
@@ -381,3 +373,7 @@
   if(TARGET test_shared_library_in_run_paths)
     # Rely on CMake setting build tree RUNPATHs by default on Unix systems.
     add_dummy_shared_library(dummy_shared_library_in_run_paths)
+    target_compile_definitions(test_shared_library_in_run_paths PRIVATE
+      "SHARED_LIBRARY_UNDER_TEST=dummy_shared_library_in_run_paths")
+    if(NOT WIN32 AND NOT APPLE)
+      # NOTE(hidmic): DT_RUNPATH entries are ignored by dlopen in Linux despite the fact
