=== debian/changelog ===
ros2-rcutils (6.0.1-1) unstable; urgency=medium

  * New upstream version 6.0.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 03 Nov 2022 17:37:30 +0100

ros2-rcutils (6.0.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch to Github API for d/watch

 -- Timo Röhling <roehling@debian.org>  Sun, 02 Oct 2022 16:02:32 +0200

ros2-rcutils (6.0.0-1) experimental; urgency=medium

  * New upstream version 6.0.0
  * Bump SOVERSION to 1d
  * Enable hardening flags

 -- Timo Röhling <roehling@debian.org>  Sat, 17 Sep 2022 21:00:48 +0200
