=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  It provides basic macros, functions, and data structures for the ROS 2
  codebase.
 
-Package: librcutils0d
+Package: librcutils1d
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -38,7 +38,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- librcutils0d (= ${binary:Version}),
+ librcutils1d (= ${binary:Version}),
 Description: ${source:Synopsis} (development headers)
  ${source:Extended-Description}
  .
