=== debian/changelog ===
ros2-rcutils (6.3.0-1) unstable; urgency=medium

  * New upstream version 6.3.0
  * Refresh patches
  * Update symbols
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Tue, 27 Jun 2023 23:24:19 +0200
