=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  dh-sequence-python3,
  python3-empy,
 Homepage: https://github.com/ros2/rcutils
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-rcutils.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-rcutils
