=== debian/changelog ===
ros2-rcutils (6.5.0-1) unstable; urgency=medium

  * New upstream version 6.5.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Jan 2024 12:46:33 +0100

ros2-rcutils (6.4.1-1) unstable; urgency=medium

  * New upstream version 6.4.1

 -- Timo Röhling <roehling@debian.org>  Sun, 12 Nov 2023 22:04:35 +0100

ros2-rcutils (6.4.0-1) unstable; urgency=medium

  * New upstream version 6.4.0

 -- Timo Röhling <roehling@debian.org>  Thu, 26 Oct 2023 11:41:06 +0200

ros2-rcutils (6.3.1-1) unstable; urgency=medium

  * New upstream version 6.3.1

 -- Timo Röhling <roehling@debian.org>  Thu, 14 Sep 2023 14:15:22 +0200
