## ros2-rcutils 6.9.3

=== debian/changelog ===
ros2-rcutils (6.9.3-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 6.9.3

 -- Timo Röhling <roehling@debian.org>  Thu, 10 Oct 2024 15:02:59 +0200

ros2-rcutils (6.9.2-1) unstable; urgency=medium

  * New upstream version 6.9.2
  * Wrap and sort Debian package files
  * New rcutils_set_env_overwrite symbol

 -- Timo Röhling <roehling@debian.org>  Wed, 25 Sep 2024 17:48:55 +0200

ros2-rcutils (6.9.1-1) unstable; urgency=medium

  * New upstream version 6.9.1

 -- Timo Röhling <roehling@debian.org>  Tue, 03 Sep 2024 16:43:29 +0200

ros2-rcutils (6.9.0-1) unstable; urgency=medium

  * New upstream version 6.9.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Fri, 12 Jul 2024 18:17:12 +0200

ros2-rcutils (6.8.0-1) unstable; urgency=medium

  * New upstream version 6.8.0
  * Refresh patches (no functional changes)
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Apr 2024 23:51:12 +0200

ros2-rcutils (6.7.0-1) unstable; urgency=medium

  * New upstream version 6.7.0

 -- Timo Röhling <roehling@debian.org>  Sat, 20 Apr 2024 00:01:29 +0200

ros2-rcutils (6.6.0-1) unstable; urgency=medium

  * New upstream version 6.6.0
  * Refresh patches (no functional changes)
  * Bump Standards-Version to 4.7.0
  * Update d/symbols

 -- Timo Röhling <roehling@debian.org>  Wed, 10 Apr 2024 22:13:41 +0200
