## ros2-rcutils 6.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.12)
+cmake_minimum_required(VERSION 3.20)
 
 project(rcutils)
 
@@ -15,6 +15,21 @@
 
 find_package(ament_cmake_python REQUIRED)
 find_package(ament_cmake_ros REQUIRED)
+
+# By default, without the settings below, find_package(Python3) will attempt
+# to find the newest python version it can, and additionally will find the
+# most specific version.  For instance, on a system that has
+# /usr/bin/python3.10, /usr/bin/python3.11, and /usr/bin/python3, it will find
+# /usr/bin/python3.11, even if /usr/bin/python3 points to /usr/bin/python3.10.
+# The behavior we want is to prefer the "system" installed version unless the
+# user specifically tells us othewise through the Python3_EXECUTABLE hint.
+# Setting CMP0094 to NEW means that the search will stop after the first
+# python version is found.  Setting Python3_FIND_UNVERSIONED_NAMES means that
+# the search will prefer /usr/bin/python3 over /usr/bin/python3.11.  And that
+# latter functionality is only available in CMake 3.20 or later, so we need
+# at least that version.
+cmake_policy(SET CMP0094 NEW)
+set(Python3_FIND_UNVERSIONED_NAMES FIRST)
 
 find_package(Python3 REQUIRED COMPONENTS Interpreter)
 
@@ -197,7 +212,7 @@
     osrf_testing_tools_cpp::memory_tools LIBRARY_PRELOAD_ENVIRONMENT_IS_AVAILABLE)
 
   ament_add_gtest(test_logging test/test_logging.cpp)
-  target_link_libraries(test_logging ${PROJECT_NAME} mimick osrf_testing_tools_cpp::memory_tools)
+  target_link_libraries(test_logging ${PROJECT_NAME} osrf_testing_tools_cpp::memory_tools)
 
   add_executable(test_logging_long_messages test/test_logging_long_messages.cpp)
   target_link_libraries(test_logging_long_messages ${PROJECT_NAME})
@@ -242,7 +257,7 @@
     test/test_char_array.cpp
   )
   if(TARGET test_char_array)
-    target_link_libraries(test_char_array ${PROJECT_NAME} mimick)
+    target_link_libraries(test_char_array ${PROJECT_NAME})
   endif()
 
   # Can't use C++ with stdatomic_helper.h
@@ -283,7 +298,7 @@
     test/test_split.cpp
   )
   if(TARGET test_split)
-    target_link_libraries(test_split ${PROJECT_NAME} mimick)
+    target_link_libraries(test_split ${PROJECT_NAME})
   endif()
 
   ament_add_gtest(test_find
@@ -296,6 +311,7 @@
   ament_add_gtest(test_strerror
     test/test_strerror.cpp
   )
+  ament_add_test_label(test_strerror mimick)
   if(TARGET test_strerror)
     target_link_libraries(test_strerror ${PROJECT_NAME} mimick)
   endif()
@@ -321,6 +337,7 @@
     test/test_filesystem.cpp
     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
   )
+  ament_add_test_label(test_filesystem mimick)
   if(TARGET test_filesystem)
     target_link_libraries(test_filesystem ${PROJECT_NAME} mimick osrf_testing_tools_cpp::memory_tools)
     target_compile_definitions(test_filesystem PRIVATE BUILD_DIR="${CMAKE_CURRENT_BINARY_DIR}")
@@ -337,7 +354,7 @@
     test/test_format_string.cpp
   )
   if(TARGET test_format_string)
-    target_link_libraries(test_format_string ${PROJECT_NAME} mimick)
+    target_link_libraries(test_format_string ${PROJECT_NAME})
   endif()
 
   ament_add_gtest(test_string_map
@@ -355,30 +372,3 @@
   endif()
 
   ament_add_gtest(test_repl_str
-    test/test_repl_str.cpp
-  )
-  if(TARGET test_repl_str)
-    target_link_libraries(test_repl_str ${PROJECT_NAME})
-  endif()
-
-  ament_add_gtest(test_sha256
-    test/test_sha256.cpp
-  )
-  if(TARGET test_sha256)
-    target_link_libraries(test_sha256 ${PROJECT_NAME})
-  endif()
-
-  macro(add_dummy_shared_library target)
-    add_library(${target} test/dummy_shared_library/dummy_shared_library.c)
-    if(WIN32)
-      # Causes the visibility macros to use dllexport rather than dllimport
-      # which is appropriate when building the dll but not consuming it.
-      target_compile_definitions(${target} PRIVATE "DUMMY_SHARED_LIBRARY_BUILDING_DLL")
-    endif()
-  endmacro()
-
-  ament_add_gtest(test_shared_library_in_run_paths test/test_shared_library.cpp)
-  if(TARGET test_shared_library_in_run_paths)
-    # Rely on CMake setting build tree RUNPATHs by default on Unix systems.
-    add_dummy_shared_library(dummy_shared_library_in_run_paths)
-    target_compile_definitions(test_shared_library_in_run_paths PRIVATE
