=== debian/changelog ===
ros2-rcutils (6.9.4-1) unstable; urgency=medium

  * New upstream version 6.9.4
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 16 Feb 2025 14:07:38 +0100
