=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
+ Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
  ament-cmake-python,
  ament-cmake-ros,
  cmake,
+ debhelper-compat (= 13),
  dh-ros,
  dh-sequence-python3,
  python3-empy,
 Homepage: https://github.com/ros2/rcutils
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-rcutils.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-rcutils
@@ -37,8 +39,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ librcutils1d (= ${binary:Version}),
  ${misc:Depends},
- librcutils1d (= ${binary:Version}),
 Description: ${source:Synopsis} (development headers)
  ${source:Extended-Description}
  .
