=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_CONFIGURE_ARGS = -DBUILD_TESTING=OFF -DRCUTILS_SOVERSION=1d

%:
	dh $@ --buildsystem=ros
